Subject: Re: [Announce] GIT v1.5.0-rc2

From: Peter Baumann <[email-masked]>
Date: Tue, 23 Jan 2007 22:09:24 +0100

Bill Lear <[email-masked]> schrieb:
> On Tuesday, January 23, 2007 at 20:12:36 (+0100) Johannes Schindelin writes:
>>Hi,
>>
>>On Tue, 23 Jan 2007, Bill Lear wrote:
>>
>>> I can't seem to get this to work, no matter what I do, using the latest 
>>> 1.5.0-rc2 code.  I have the environment variables LESS, PAGER, 
>>> PAGER_FLAGS, and I can't seem to get 'git diff' to not plough through my 
>>> screen each time it is run, no matter the combinations...  Could someone 
>>> post the magic?
>>
>>Try this:
>>
>>	PAGER=less LESS=-FRS git diff
>
> Replied to Johannes off-line and thought this was working --- sorry
> for the false positive.  It is in one regard: it completely suppresses
> output if there is less than a full screen of output.
>
> If I do this:
>
> % export PAGER=less
> % unset LESS
> % git diff
>
> I get 30 lines of output in my current repository, as I should.
>
> If I then do this:
>
> % LESS=-FRS git diff
>
> I get nothing --- I do see a brief blink of output, but it's as if
> less swallows it whole and I see nothing but the next prompt.
>

This is propably caused by activating "Enable Alternate Screen Switching"
in xterm. If you have this feature enabled, you get a clean screen (no
fragments of the displayed file are shown after quitting less). Try to
disable it and see if it works.

-Peter